Bug 1266253 - [Director] increase mariadb max_connection default value
[Director] increase mariadb max_connection default value
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates (Show other bugs)
7.0 (Kilo)
All Linux
unspecified Severity urgent
: y1
: 7.0 (Kilo)
Assigned To: Jay Dobies
Marius Cornea
Depends On: 1240824
  Show dependency treegraph
Reported: 2015-09-24 17:25 EDT by Joe Talerico
Modified: 2016-04-26 10:23 EDT (History)
5 users (show)

See Also:
Fixed In Version: openstack-tripleo-heat-templates-0.8.6-68.el7ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-10-08 08:19:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 202516 None None None Never

  None (edit)
Description Joe Talerico 2015-09-24 17:25:38 EDT
Description of problem:
max_connection is still set to 1024.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Deploy OSP with OSPD

Actual results:
| max_connections                         | 1024                 |

Expected results:
4096 would be a good starting point.

Additional info:
Currently we default the value to 1024 : https://code.engineering.redhat.com/gerrit/gitweb?p=openstack-tripleo-heat-templates.git;a=blob;f=controller.yaml;h=db6613f4c74ea22a913660fc8a3f73e334506ff6;hb=refs/heads/rhos-7.0-patches

The upstream fix : https://review.openstack.org/#/c/202516/1
Comment 2 Marius Cornea 2015-09-28 09:04:26 EDT
stack@instack:~>>> rpm -qa  |grep openstack-tripleo-heat-templates

[root@overcloud-controller-0 ~]# mysql -e "SHOW VARIABLES LIKE 'max_connections%';"
| Variable_name   | Value |
| max_connections | 4096  |
Comment 4 errata-xmlrpc 2015-10-08 08:19:45 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.